.event-filter {
    z-index: 300;
    position: relative;
    margin-bottom: 46px;

    &__header {
        height: 46px;
        font-weight: 700;
        font-size: 1.2rem;
        line-height: 1.6rem;
        padding: 5px 20px;
        border-radius: 8px;
        background: #FAFAFA;
        border: 1px solid #E8EBF0;
        font-family: $font-family-head;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &--text {

            span {
                display: inline-block;
            }

            span + span {
                display: none;
            }
        }

        &--icon {
            font-size: 0;
            line-height: 0;
            height: 16px;

            i {
                height: 16px;
                display: inline-block;
            }

            i + i {
                display: none;
            }
        }
    }

    &__main {
        display: none;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    &__item {
        width: calc(50% - 15px);
        margin-top: 24px;

        &--checkbox {
            width: 100%;
            text-align: center;
        }

        &--button {
            width: 100%;
        }
        
        .btn-border-color {
            width: 100%;
        }
    }

    &.open {

        .event-filter {

            &__header {

                &--text {

                    span {
                        display: none;
                    }
        
                    span + span {
                        display: inline-block;
                    }
                }

                &--icon {

                    i {
                        display: none;
                    }
        
                    i + i {
                        display: inline-block;
                    }
                }
            }

            &__main {
                display: flex;
            }
        }
    }

    @media (min-width: $screen-md-min) {

        &__header {
            display: none;
        }

        &__main {
            display: flex;
        }

        &__item {
            margin: 0 0 24px 0;
            width: calc(33.33% - 14px);

            &--checkbox {
                padding: 15px 0;
                text-align: left;
                width: calc(33.33% - 14px);
            }
            
            &--button {
                width: calc(33.33% - 14px);
            }
        }

        @media (min-width: $screen-lg-min) {

            &__item {
                width: calc(25% - 14px);

                &--checkbox {
                    width: calc(25% - 14px);
                }

                &--button {
                    width: calc(25% - 14px);
                }
            }
        }
    }
}

.events {

    &__content {
        margin-bottom: 60px;
    }

    &__col {
        display: none;
        margin-bottom: 24px;

        &:nth-child(1),
        &:nth-child(2),
        &:nth-child(3) {
            display: block;
        }
    }

    &__item {
        position: relative;

        &--image {
            height: 154px;
            display: block;
            overflow: hidden;
            border-radius: 8px;
            text-decoration: none;
            position: relative;
            background-position: 50% 50%;
            background-repeat: no-repeat;
            background-size: cover;
            margin-bottom: 12px;

            &::before {
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                z-index: 1;
                content: '';
                display: block;
                border-radius: 8px;
                position: absolute;
                background: linear-gradient(180.61deg, rgba(0, 0, 0, 0) 39.4%, rgba(0, 0, 0, 0.74) 99.47%),
            }
        }

        &--date {
            left: 14px;
            bottom: 14px;;
            opacity: 1;
            color: #fff;
            height: 20px;
            z-index: 10;
            font-weight: 600;
            font-size: 1.1rem;
            line-height: 1.5rem;
            padding: 1px 8px;
            border-radius: 3px;
            margin-right: 14px;
            text-decoration: none;
            border-radius: 3px;
            position: absolute;
            display: inline-block;
            border: 1px solid #fff;
            background: rgba(255,255,255,.4);
        }

        &--title {
            font-size: 14px;
            line-height: 17px;
            color: #1D1D1B;
            text-decoration: none;
            font-family: $font-family-head;

            &:hover {
                color: #1D1D1B;
                text-decoration: underline;
            }
        }
    }

    &__calendar {
        display: none;
        max-width: 400px;
        margin: 0 auto 40px auto;
    }

    &__search {
        display: none;
        max-width: 400px;
        margin: 0 auto 40px auto;
    }

    &__calendar-sm {
        max-width: 400px;
        margin: 0 auto 40px auto;
    }

    @media (min-width: $screen-sm-min) {

        &__row {
            margin: 0 -15px;
            display: flex;
            flex-wrap: wrap;
        }

        &__col {
            width: 50%;
            padding: 0 15px;

            &:nth-child(4) {
                display: block;
            }
        }
    }  
    
    @media (min-width: $screen-md-min) {

        &__view {
            display: none;
        }

        &__col {
            width: 33.33%;
            display: block;
        }

        &__item {

            &--image {

            }
        }
    }

    @media (min-width: $screen-lg-min) {
        display: flex;
        justify-content: space-between;

        &__content {
            width: calc(100% - 380px);
        }

        &__sidebar {
            width: 350px;
        }

        &__calendar {
            display: block;
        }

        &__search {
            display: block;
        }

        &__calendar-sm {
            display: none;
        }
    }
}

.partitions {
    width: 100%;
    max-width: 100%;
    position: relative;

    &__nav {
        font-weight: 700;
        font-size: 1.4rem;
        line-height: 2rem;
        display: flex;
        align-items: center;
        position: relative;
        margin-bottom: 40px;
        font-family: $font-family-head;

        &::before {
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            content: '';
            height: 1px;
            display: block;
            position: absolute;
            background: #E8EBF0;
        }

        &--item {
            z-index: 10;
            height: 40px;
            margin-right: 30px;
            display: block;
            color: #1D1D1B;
            position: relative;
            text-decoration: none;

            &::before {
                left: 0;
                right: 0;
                bottom: 0;
                opacity: 0;
                content: '';
                height: 4px;
                display: block;
                position: absolute;
                visibility: hidden;
                background: linear-gradient(90.06deg, #EC0A15 -20.64%, #233BDB 98.96%);
                transition: .2s;
            }

            &:last-child {
                margin-right: 0;
            }

            &:hover {
                color: #1D1D1B;
                text-decoration: none;
            }

            &.active {
            
                &::before {
                    opacity: 1;
                    visibility: visible;
                    transition: .2s;
                }
            }
        }
    }

    &__item {
        display: none;

        &.active {
            display: block;
        }
    }

    &__main {

        > .swiper-wrapper {

            > .swiper-slide {
                

                &.swiper-slide-active {
              
                }
            }
        }
    }
}

.tournaments {
    margin-bottom: 60px;

    &__sidebar {
        margin-bottom: 60px;

        .tourney {
            padding-top: 0;
            margin-bottom: 0;
        }
    }

    &__main {

    }

    &__group {
        margin-bottom: 60px;

        &--title {
            color: #1D1D1B;
            font-weight: 700;
            font-size: 1.8rem;
            line-height: 2.2rem;
            margin-bottom: 40px;
            font-family: $font-family-head;
        }

        &--mobile {
            display: block;
        }

        &--desktop {
            display: none;
        }
    }

    &__button {
        padding-top: 20px;
        text-align: center;

        .btn-color {
            margin: 0 auto;
            max-width: 350px;
        }
    }

    @media (min-width: $screen-md-min) {

        &__group {

            &--mobile {
                display: none;
            }
    
            &--desktop {
                display: block;
            }
        }
    }   
    
    @media (min-width: $screen-lg-min) {
        margin-bottom: 80px;
        display: flex;
        justify-content: space-between;

        &__sidebar {
            width: 300px;
            order: 2;
            flex-shrink: 0;
        }

        &__main {
            margin-bottom: 0;
            width: calc(100% - 330px);
            order: 1;
            flex-shrink: 0;
        }

        &__group {
            margin-bottom: 40px;

            &--title {
                margin-bottom: 20px;
            }
        }

        &__button {
            display: block;
        }
    }

    @media (min-width: $screen-xl-min) {

        &__sidebar {
            width: 350px;
        }

        &__main {
            width: calc(100% - 380px);
        }
    }
}

.event-sm {
    border-radius: 8px;
    background: #FAFAFA;
    padding: 40px 24px 30px 24px;

    &__main {
        margin-bottom: 24px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__command {
        font-size: 1.2rem;
        line-height: 1.5rem;
        text-align: center;
        font-family: $font-family-head;

        &--logo {
            width: 32px;
            display: block;
            margin: 0 auto 8px auto;
        }

        &--name {
            font-weight: 700;
            color: #1D1D1B;
            margin-bottom: 4px;
        }

        &--city {
            color: rgba(25, 61, 106, 0.5);
        }
    }

    &__rate {
        width: 60px;
        color: #1D1D1B;
        font-weight: 700;
        font-size: 2.4rem;
        line-height: 3rem;
        text-align: center;
        font-family: $font-family-head;
    }

    &__info {
        padding-top: 24px;
        font-size: 1.2rem;
        line-height: 1.5rem;
        white-space: nowrap;
        font-family: $font-family-head;
        border-top: 1px solid rgba(25, 61, 106, 0.5);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &--date {
            font-weight: 700;
        }
    }
}

.slider-nav {
    margin: 0 auto;
    padding-top: 32px;
    max-width: 400px;
    display: flex;
    align-items: center;

    &__scrollbar {
		flex-grow: 1;
		height: 5px;
		margin-bottom: 2px;
		overflow: hidden;
		background: transparent;
		border-bottom: 1px solid #E8EBF0;

		.swiper-scrollbar-drag {
			opacity: 1;
			height: 4px;
			border-radius: 0;
			background: linear-gradient(90.06deg, #EC0A15 -20.64%, #233BDB 98.96%);
        }
    }

    &__counter {
        width: 40px;
        color: #1D1D1B;
        text-align: right;
        font-size: 1.3rem;
        line-height: 1.8rem;
        flex-shrink: 0;
    }
}

.statistics {
    
    &__header {
        font-weight: 700;
        font-size: 1.6rem;
        line-height: 2rem;
        margin-bottom: 40px;
        font-family: $font-family-head;

        &--title {
            color: #000000;
            font-size: 2.4rem;
            line-height: 3rem;
            margin-bottom: 15px;
        }

        &--text {
            color: rgba(25, 61, 106, 0.5);
        }
    }

    &__content {
        margin-bottom: 60px;

        &--mobile {
            display: block;
        }

        &--desktop {
            display: none;
        }
    }

    .news-list__footer {

        .btn-color {
            max-width: 350px;
            margin: 0 auto;
        }
    }

    @media (min-width: $screen-md-min) {

        &__header {
            font-size: 2rem;
            line-height: 2.4rem;
            margin-bottom: 45px;
            display: flex;
            align-items: flex-end;

            &--title {
                font-size: 3.6rem;
                line-height: 4.4rem;
                margin: 0 15px 0 0;
                display: inline-block;
            }

            &--text {
                padding-bottom: 7px;
                display: inline-block;
            }
        }
     
        &__content {

            &--mobile {
                display: none;
            }

            &--desktop {
                display: block;
            }
        }
    }    
    
    @media (min-width: $screen-xl-min) {

        &__row {
            display: flex;
            justify-content: space-between;
        }
    
        &__content {
            width: calc(100% - 380px);
            flex-shrink: 0;
        }

        &__sidebar {
            width: 350px;
            flex-shrink: 0;
        }
    }
    
}

.stat-sm {
    border-radius: 8px;
    background: #FAFAFA;
    font-family: $font-family-head;
    padding: 20px 24px 38px 24px;

    &:nth-child(even) {
        background: #fff;
    }

    &__main {
        position: relative;
        padding-left: 10px;
        padding-bottom: 20px;
    }

    &__num {
        top: 0;
        left: -10px;
        color: #1D1D1B;
        font-weight: 700;
        font-size: 1.4rem;
        line-height: 1.7rem;
        position: absolute;
    }

    &__person {
        font-size: 1.4rem;
        line-height: 1.7rem;
        margin-bottom: 12px;

        &--name {
            color: #1D1D1B;
            font-weight: 700;
            margin-bottom: 5px;
        }

        &--staff {
            font-size: 1.2rem;
            line-height: 1.5rem;
        }
    }

    &__command {
        display: flex;
        align-items: center;

        &--logo {
            width: 32px;
            flex-shrink: 0;
        }

        &--text {
            font-size: 1.2rem;
            line-height: 1.5rem;
            padding-left: 10px;

            strong {
                display: block;
                color: #1D1D1B;
                font-weight: 700;
            }

            span {
                display: block;
                color: rgba(25, 61, 106, 0.5);
            }
        }
    }

    &__values {
        margin: 0;
        position: relative;
        font-weight: 700;
        font-size: 1.2rem;
        line-height: 1.5rem;
        list-style: none;
        padding: 21px 0 0 0;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &::before {
            top: 0;
            left: 0;
            right: 0;
            content: '';
            height: 1px;
            display: block;
            position: absolute;
            background: rgba(25, 61, 106, 0.5);
        }
        
        span {
            margin-right: 10px;
            color: rgba(25, 61, 106, 0.5);
        }

        strong {
            color: #1D1D1B;
        }
    }
}

.stat-table {
    width: 100%;
    font-size: 1.2rem;
    line-height: 1.5rem;
    border-collapse: collapse;

    &__command {
        display: flex;
        align-items: center;

        &--logo {
            width: 32px;
            flex-shrink: 0;
        }

        &--text {
            padding-left: 10px;

            strong {
                display: block;
            }

            span {
                display: block;
            }
        }
    }

    th {
        text-align: left;
        padding: 13px 12px;
        color: rgba(25, 61, 106, 0.5);
    }

    td {
        color: #1D1D1B;
        padding: 11px 12px;

        &:first-child {
            font-weight: 700;
            border-radius: 8px 0 0 8px;
        }

        &:last-child {
            border-radius: 0 8px 8px 0;
        }
    }

    tr {
        &:nth-child(even) {
            
            td {
                background: #FAFAFA;
            }
        }
    }
}

.evnt {
    width: 100%;
    font-size: 1.2rem;
    line-height: 1.5rem;
    border-collapse: collapse;

    th {
        text-align: left;
        padding: 13px 12px;
        color: rgba(25, 61, 106, 0.5);
    }

    td {
        color: #1D1D1B;
        padding: 12px 12px;

        &:first-child {
            font-weight: 700;
            border-radius: 8px 0 0 8px;
        }

        &:last-child {
            width: 100%;
            border-radius: 0 8px 8px 0;
        }
    }

    tr {
        &:nth-child(even) {
            
            td {
                background: #FAFAFA;
            }
        }
    }

    &__item {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__result {
        width: 64px;
        color: #1D1D1B;
        font-weight: 700;
        text-align: center;
        flex-shrink: 0;
    }

    &__command {
        display: flex;
        align-items: center;

        &--logo {
            width: 32px;
            flex-shrink: 0;
        }

        &--text {
            width: 140px;
            flex-shrink: 0;
            
            strong {
                display: block;
                font-weight: 700;
                color: #1D1D1B;
            }

            span {
                display: block;
                color: rgba(25, 61, 106, 0.5);
            }
        }

        &.command-right {

            .evnt__command--text {
                padding-left: 12px;
            }
        }

        &.command-left {
            
            .evnt__command--text {
                text-align: right;
                padding-right: 12px;
            }
        }
    }
}

.modal {
    width: 100%;
    border-radius: 8px;
    padding: 30px 24px 40px 24px;

    &-sm {
        max-width: 350px;
        padding: 50px 24px 40px 24px;
    }

    &-calendar {
        max-width: 350px;
        padding: 20px 0 0 0;
    }

    &__header {
        font-weight: 700;
        font-size: 1.8rem;
        line-height: 2.2rem;
        margin-bottom: 26px;
    }

    &__wrap {
        margin: 0 auto;
        max-width: 340px;
    }

    .btn-color {
        width: 100%;
    }

    &__text {
        padding: 24px 0;
        font-size: 1.2rem;
        line-height: 1.5rem;
        text-align: center;

        a {
            color: #4F4F4F;
            text-decoration: underline;

            &:hover {
                color: #4F4F4F;
                text-decoration: none;
            }
        }
    }

    &__divider {
        font-size: 1.4rem;
        line-height: 140%;
        text-align: center;
        margin-bottom: 12px;
        font-family: $font-family-head;
    }

    &__social {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;
        justify-content: center;

        &--item {
            display: block;
            width: 32px;
            height: 32px;
            border-radius: 50%;
            flex-shrink: 0;
            margin: 0 6px;
        }
    }

    &__links {
        font-size: 1.2rem;
        line-height: 1.5rem;
        padding-top: 24px;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &--center {
            justify-content: center;
        }

        a {
            color: #4F4F4F;
            white-space: nowrap;
            display: inline-block;
            text-decoration: underline;

            &:hover {
                color: #4F4F4F;
                text-decoration: none;
            }
        }
    }

    &__info {
        font-size: 1.4rem;
        line-height: 160%;
        text-align: center;
        margin-bottom: 24px;
        font-family: $font-family-head;
    }
    
    &__load {
        width: 48px;
        height: 48px;
        margin: 36px auto 50px auto;

        &--wrap {
            width: 48px;
            height: 48px;
            animation-name: rotation;
            animation-duration: 3s;
            animation-iteration-count: infinite;
            animation-timing-function: linear;
        }
    }
    
    @media (min-width: $screen-md-min) {
        width: 500px;

        &-sm {
            width: 350px;
        }
        
        &-calendar {
            width: 350px;
        }
    }
}

@keyframes rotation {
    0% {
        transform:rotate(0deg);
    }
    100% {
        transform:rotate(360deg);
    }
}

.date-switch {
    position: relative;

    &__button {
        z-index: 20;
        font-size: 0;
        line-height: 0;
        width: 18px;
        height: 18px;
        cursor: pointer;
        position: relative;
    }

    &__calendar {
        right: 0;
        width: 300px;
        display: none;
        position: absolute;
        top: calc(100% + 5px);

        .datepicker-main  {

            .datepicker {
                padding: 0;
            }

            .datepicker--cell {
                width: 14.285%;
                height: 41px;
                font-size: 1.2rem;
            }
        }

        .datepicker--nav-title {
            color: #1D1D1B;
            font-weight: 500;

            i {
                color: #1D1D1B;
            }
        }
    }

    &.open {

        .date-switch__calendar {
            display: block;
        }

        .date-switch__button {
            
            svg {
                opacity: 0;
                visibility: hidden;
            }

            &:after,
            &::before {
                top: 50%;
                left: 50%;
                z-index: 1;
                content: '';
                width: 12px;
                height: 2px;
                display: block;
                position: absolute;
                background: #040D5F;
                margin: -1px 0 0 -6px;
            }

            &:after {
                @include rotate(45deg);
            }
            
            &::before {
                @include rotate(-45deg);
            }
        }
    }
}

.events-modal {
    overflow: hidden;
    background: #fff;
    max-width: 375px;
    border-radius: 8px;
    padding: 40px 10px 40px 20px;

    &__header {
        font-weight: 700;
        font-size: 2.4rem;
        line-height: 3rem;
        margin-bottom: 20px;

        font-family: $font-family-head;
    }

    &__content {
        height: 300px;
    }

    &__scroll {
        height: 300px;
        padding-right: 18px;
    }

    &__item {
        margin-bottom: 24px;
    }

    .mCSB_scrollTools {
        width: 6px;
    }

    .mCSB_dragger_bar {
        background: rgb(236,10,21);
        background: linear-gradient(180deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
    }

    .mCSB_outside+.mCS-minimal-dark.mCSB_scrollTools_vertical, .mCSB_outside+.mCS-minimal.mCSB_scrollTools_vertical {
        margin: 0;
    }

    @media (min-width: $screen-md-min) {
        width: 550px;
        max-width: inherit;
        padding: 40px 17px 40px 35px;

        &__header {
            font-size: 3.6rem;
            line-height: 4.4rem
        }

        &__row {
            display: flex;
            flex-wrap: wrap;
            margin: 0 -15px;
        }

        &__item {
            width: 50%;
            padding: 0 15px;
        }

        &__content {
            height: 420px;
        }
    
        &__scroll {
            height: 420px;
            padding-right: 18px;
        }
    }

    @media (min-width: $screen-lg-min) {
        width: 800px;

        
        &__item {
            width: 33.33%;
        }
    }
    
}

.modal-calendar {
    overflow: hidden;

    .datepicker {
        border: none;
        box-shadow: none;
        border-radius: 8px;
    }
}

.main-password {
    position: relative;
    display: flex;
    flex-direction: column;

    &::before {
		top: 200px;
		z-index: 1;
		content: '';
		width: 753px;
		height: 753px;
		left: calc(50% + 105px);
		border-radius: 50%;
		position: absolute;
		background: url('../img/patetrn__03.svg') 50% 50% no-repeat;
	}

    &__wrap  {
        z-index: 10;
        margin: auto 0;
        position: relative;
    }

    
    @media (min-width: $screen-xl-min) {

        &::before {
            top: 50px;
            z-index: 1;
            content: '';
            width: 753px;
            height: 753px;
            left: calc(50% + 250px);
            border-radius: 50%;
            position: absolute;
            background: url('../img/patetrn__03.svg') 50% 50% no-repeat;
            @include rotate(-45deg);
        }
        
        &::after {
            top: -50px;
            z-index: 1;
            content: '';
            width: 753px;
            height: 753px;
            right: calc(50% + 250px);
            border-radius: 50%;
            position: absolute;
            background: url('../img/patetrn__03.svg') 50% 50% no-repeat;
        }
    }
}

.field-item {
    position: relative;

    .field {
        padding-right: 45px;
    }
}

.field-icon {
    top: 50%;
    right: 15px;
    z-index: 20;
    width: 20px;
    height: 20px;
    font-size: 0;
    line-height: 0;
    display: block;
    cursor: pointer;
    margin-top: -10px;
    position: absolute;

    span {
        width: 20px;
        height: 20px;
        display: block;
        position: absolute;
    }
}

.field-icon-password {

    &:after,
    &::before {
        top: 0;
        left: 0;
        opacity: 0;
        z-index: 10;
        width: 20px;
        height: 20px;
        content: '';
        display: block;
        visibility: hidden;
        position: absolute;
        transition: .2s;
    }

    &:after {
        background: url('../img/password__icon_2.svg') 50% 50% no-repeat;
    }
    
    &::before {
        background: url('../img/password__icon_3.svg') 50% 50% no-repeat;
    }

    span {
        background: url('../img/password__icon_1.svg') 50% 50% no-repeat;
        transition: .2s;
    }

    &:hover {

        span {
            opacity: 0;
            visibility: hidden;
            transition: .2s;
        }

        &::after {
            opacity: 1;
            visibility: visible;
            transition: .2s;
        }
    }

    &.active {
        
        span {
            opacity: 0;
            visibility: hidden;
            transition: .2s;
        }
                
        &::after {
            opacity: 0;
            visibility: hidden;
            transition: .2s;
        }
        
        &::before {
            opacity: 1;
            visibility: visible;
            transition: .2s;
        }
    }
}

.password {
    margin: 0 auto;
    max-width: 400px;
    padding-bottom: 50px;
    
    &__header {
        color: #000;
        font-weight: 700;
        font-size: 3.6rem;
        line-height: 4.4rem;
        text-align: center;
        margin-bottom: 24px;
        font-family: $font-family-head;
    }

    &__subtitle {
        color: #000;
        max-width: 300px;
        font-weight: 400;
        font-size: 1.6rem;
        line-height: 160%;
        text-align: center;
        margin: 0 auto 24px auto;    
        font-family: $font-family-head;
    }
    
    &__form {
        margin: 0 auto;
        max-width: 300px;

        .btn,
        .btn-color {
            width: 100%;
        }
    }
}

@media (min-width: $screen-sm-min) {

}

@media (min-width: $screen-md-min) {

}

@media (min-width: $screen-lg-min) {

}

@media (min-width: $screen-xl-min) {

}



